/**
 * Simulation of memory management algorithms
 *
 * Ron Mak
 * Department of Computer Engineering
 * San Jose State University
 */
#ifndef FIRSTFIT_H_
#define FIRSTFIT_H_

#include "AllocationAlgorithm.h"

class FirstFit: public AllocationAlgorithm
{
public:
    FirstFit(string name) : AllocationAlgorithm(name) {}
    virtual ~FirstFit() {}

    virtual bool find_hole(const string id, const int size);
};

#endif /* FIRSTFIT_H_ */
