/**
 * Simulation of memory management algorithms
 *
 * Ron Mak
 * Department of Computer Engineering
 * San Jose State University
 */
#ifndef ONHOLD_H_
#define ONHOLD_H_

#include <string>

using namespace std;

class OnHold
{
public:
    OnHold(char name, string id, int size, int index)
        : name(name), id(id), size(size), request_index(index) {}

    char name;          // request process name
    string id;          // unique id
    int size;           // block size
    int request_index;  // when put on hold
};

#endif /* ONHOLD_H_ */
