/**
 * Simulation of memory management algorithms
 *
 * Ron Mak
 * Department of Computer Engineering
 * San Jose State University
 */
#ifndef GLOBALS_H_
#define GLOBALS_H_

#include <semaphore.h>

#define FIFO_PATH           "/tmp/cmpe142_asgn05_fifo"
#define SEMAPHORE_NAME_BASE "/tmp/semaphore_"

const int MAX_BLOCKS = 3000;
const int U_SECONDS  = 200000;

typedef struct
{
    char  *name;
    sem_t *sem;
} Semaphore;

#endif /* GLOBALS_H_ */
